//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function %Quat_p(q)
    // Display the value of a quaternion object
    //
    // Description
    // <literal> Q.display()</literal> displays a compact string 
    // representation of the quaternion's value
    // as a 4-tuple.  If Q is a vector then S has one line per element.
    //
    // Notes
    // - This method is invoked implicitly at the command line when the result
    //   of an expression is a Quaternion object and the command has no trailing
    //   semicolon.
    //
    // See also 
    // Quaternion

    mprintf("%f  < %f, %f, %f >\n", q.s, q.v(1), q.v(2), q.v(3));
endfunction
