//  Copyright (C) 2014 - Corrado Guarino Lo Bianco
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function [x, y, typ] = T2EUL(job, arg1, arg2)
	in_label = ['T']; 
	out_label = ['alpha';'beta';'gamma'];
	style = 'blockWithLabel;fillColor=red;displayedLabel=T2eul;fontStyle=1;fontSize=12;align=left';
    x = [];
    y = [];
    typ = [];
    select job,
        case "set" then
            x = arg1;

        case "define" then
            model = scicos_model();
            model.sim = list("block_t2eul", 4);
            model.in = 4;
            model.in2 = 4;
            model.intyp = 1;
            model.out = [1; 1; 1];
            model.out2 = [1; 1; 1];
            model.outtyp = [1; 1; 1];
            model.blocktype = "c";
            model.dep_ut = [%t %f];
            x = standard_define([4 4], model, "", "");
			x.graphics.style = style;
			x.graphics.out_label = out_label;
			x.graphics.in_label = in_label;
    end

endfunction
