//  Copyright (C) 2014 - Corrado Guarino Lo Bianco
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function [x,y,typ]=XYZ2T(job,arg1,arg2)
    x=[];y=[];typ=[]
	out_label = ['T']; 
	in_label = ['x';'y';'z'];

    select job
    case "set" then
        x=arg1;
        // no parameters yet
    case "define" then
        model=scicos_model()
        model.sim=list("block_xyz2tr",4)
        // theree inputs with a single "double" element
        model.in=[1;1;1]
        model.intyp=[1;1;1]
        // one output with a 4x4 "double" matrix element
        model.out=4
        model.out2=4
        model.outtyp=1

        model.blocktype="c"
        model.dep_ut=[%t %f]

        exprs=string([]);
        gr_i=[]

        x=standard_define([4 4],model,exprs,gr_i)
        x.graphics.style="blockWithLabel;fillColor=red;displayedLabel=xyz2T;fontStyle=1;fontSize=12"
		x.graphics.out_label = out_label;
		x.graphics.in_label = in_label;
    end
endfunction

