//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function block = accel_cf(block, flag)

    if flag == 1 then
//        robot = SerialLink(block.opar(1)(1));
//        [robot.gravity, robot.offset, robot.mdh] = block.opar(1)(2:4);
        
        robot = block.opar(1)(1)

        // set simulation parameters
        n = robot.n;
        [q, qd, torque] = block.inptr(:);
        // compute current manipulator inertia
        M = frne(robot, ones(n, 1)*q.', zeros(n, n), eye(n, n), [0; 0; 0]);
 
        // compute gravity and coriolis torque
        tau = frne(robot, q.', qd.', zeros(1, n));

        block.outptr(1) = inv(M) * (torque(:) - tau.');

    end
endfunction
